/*
 * Class MEMORY_STRUCTURE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_529 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_529 [] = {0xFF01,1551,528,0xFFFF};
static const EIF_TYPE_INDEX egt_2_529 [] = {0xFF01,528,0xFFFF};
static const EIF_TYPE_INDEX egt_3_529 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_529 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_529 [] = {0xFF01,528,0xFFFF};
static const EIF_TYPE_INDEX egt_6_529 [] = {0xFF01,528,0xFFFF};
static const EIF_TYPE_INDEX egt_7_529 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_529 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_529 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_529 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_529 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_529 [] = {0xFF01,528,0xFFFF};


static const struct desc_info desc_529[] = {
	{EIF_GENERIC(NULL), 8352, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_529), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_529), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_529), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_529), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_529), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_529), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_529), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_529), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_529), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_529), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_529), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_529), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0421 /*528*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_529), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8353, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8347, 4},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8348, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8349, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8350, 8},
	{EIF_NON_GENERIC(0x053B /*669*/), 8351, 0},
};
void Init529(void)
{
	IDSC(desc_529, 0, 528);
	IDSC(desc_529 + 1, 1, 528);
	IDSC(desc_529 + 32, 675, 528);
}


#ifdef __cplusplus
}
#endif
